%define anolis_release 4

Name:           perl-Digest-SHA1
Version:        2.13
Epoch:          1
Release:        %{anolis_release}%{?dist}
Summary:        Digest-SHA1 Perl module
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Digest-SHA1
Source0:        https://cpan.metacpan.org/authors/id/G/GA/GAAS/Digest-SHA1-%{version}.tar.gz

BuildRequires:  findutils gcc glibc-common make
BuildRequires:  perl-interpreter perl-devel perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Digest::base) perl(DynaLoader) perl(Exporter)
BuildRequires:  perl(strict) perl(vars) perl(Test)

Recommends:     perl(Digest::base)

%description
The Digest-SHA1 module allows you to use the NIST SHA-1 message
digest algorithm from within Perl programs. The algorithm takes as
input a message of arbitrary length and produces as output a 160-bit
"fingerprint" or "message digest" of the input.

The Digest-SHA1 module provide a procedural interface for simple use,
as well as an object oriented interface that can handle messages of
arbitrary length and which can read files directly.

A binary digest will be 20 bytes long. A hex digest will be 40
characters long. A base64 digest will be 27 characters long.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n Digest-SHA1-%{version} 
f=Changes ; iconv -f iso-8859-1 -t utf-8 $f > $f.utf8 ; mv $f.utf8 $f

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS" NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -delete
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%files
%{perl_vendorarch}/Digest/
%{perl_vendorarch}/auto/Digest/
%{_mandir}/man3/*.3*

%files doc
%doc Changes README fip180-1.{gif,html}

%changelog
* Sat Apr 15 2023 Kaihai Bai <carlo.bai@linux.alibaba.com> - 1:2.13-4
- optimize spec

* Wed Feb 08 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:2.13-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:2.13-2
- rebuild with perl 5.36.0

* Wed Apr 20 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:2.13-1
- init from upstream
